Name:       perl-local-lib
Version:    1.004007
Release:    1%{?dist}
# lib/local/lib.pm -> GPL+ or Artistic
License:    GPL+ or Artistic
Group:      Development/Libraries
Summary:    Create and use a local lib/ for perl modules
Source:     http://search.cpan.org/CPAN/authors/id/A/AP/APEIRON/local-lib-%{version}.tar.gz
Url:        http://search.cpan.org/dist/local-lib
BuildRoot:  %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
Requires:   perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))
BuildArch:  noarch

BuildRequires: perl(ExtUtils::MakeMaker) >= 6.42
BuildRequires: perl(CPAN) >= 1.80
BuildRequires: perl(ExtUtils::CBuilder)
BuildRequires: perl(ExtUtils::ParseXS)
BuildRequires: perl(Module::Build) >= 0.28
# testing...
BuildRequires: perl(Test::More)

### auto-added reqs!
Requires:       perl(CPAN) >= 1.80
Requires:       perl(ExtUtils::CBuilder)
Requires:       perl(ExtUtils::Install) >= 1.43
Requires:       perl(ExtUtils::MakeMaker) >= 6.31
Requires:       perl(ExtUtils::ParseXS)
Requires:       perl(Module::Build) >= 0.28

### auto-added brs!
BuildRequires:  perl(ExtUtils::Install) >= 1.43

%description
This module provides a quick, convenient way of bootstrapping a user-
local Perl module library located within the user's home directory. It
also constructs and prints out for the user the list of environment
variables using the syntax appropriate for the user's current shell (as
specified by the 'SHELL' environment variable), suitable for directly
adding to one's shell configuration file.

More generally, local::lib allows for the bootstrapping and usage of a
directory containing Perl modules outside of Perl's '@INC'. This makes
it easier to ship an application with an app-specific copy of a Perl module,
or collection of modules. Useful in cases like when an upstream maintainer
hasn't applied a patch to a module of theirs that you need for your
application.

%prep
%setup -q -n local-lib-%{version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
make %{?_smp_mflags}

%install
rm -rf %{buildroot}

make pure_install PERL_INSTALL_ROOT=%{buildroot}
find %{buildroot} -type f -name .packlist -exec rm -f {} ';'
find %{buildroot} -depth -type d -exec rmdir {} 2>/dev/null ';'

%{_fixperms} %{buildroot}/*

%check
make test

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root,-)
%doc Changes
%{perl_vendorlib}/*
%{_mandir}/man3/*.3*

%changelog
* Sat Sep 19 2009 Chris Weyl <cweyl@alumni.drew.edu> 1.004007-1
- auto-update to 1.004007 (by cpan-spec-update 0.01)

* Sat Aug 29 2009 Chris Weyl <cweyl@alumni.drew.edu> 1.004006-1
- auto-update to 1.004006 (by cpan-spec-update 0.01)

* Tue Aug 25 2009 Chris Weyl <cweyl@alumni.drew.edu> 1.004005-1
- auto-update to 1.004005 (by cpan-spec-update 0.01)

* Tue Aug 11 2009 Chris Weyl <cweyl@alumni.drew.edu> 1.004004-1
- auto-update to 1.004004 (by cpan-spec-update 0.01)
- added a new br on perl(ExtUtils::Install) (version 1.43)
- added a new req on perl(CPAN) (version 1.80)
- added a new req on perl(ExtUtils::CBuilder) (version 0)
- added a new req on perl(ExtUtils::Install) (version 1.43)
- added a new req on perl(ExtUtils::MakeMaker) (version 6.31)
- added a new req on perl(ExtUtils::ParseXS) (version 0)
- added a new req on perl(Module::Build) (version 0.28)

* Sun Jul 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.004001-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Wed Jun 03 2009 Chris Weyl <cweyl@alumni.drew.edu> 1.004001-1
- auto-update to 1.004001 (by cpan-spec-update 0.01)

* Tue May 19 2009 Chris Weyl <cweyl@alumni.drew.edu> 1.004000-1
- auto-update to 1.004000 (by cpan-spec-update 0.01)
- altered br on perl(ExtUtils::MakeMaker) (6.31 => 6.42)

* Sun Mar 08 2009 Chris Weyl <cweyl@alumni.drew.edu> 1.003002-1
- submission

* Sun Mar 08 2009 Chris Weyl <cweyl@alumni.drew.edu> 1.003002-0
- initial RPM packaging
- generated with cpan2dist (CPANPLUS::Dist::RPM version 0.0.8)
